﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=10.7
@EndOfDesignText@
'pcc header with logos
Sub Class_Globals
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Public mBase As B4XView
	Private xui As XUI 'ignore
	Public Tag As Object

	Private Const basecolor As Int = 0xFFFFFFFF
	Private Const backcolor As Int = 0xFF7ACC00		'green
	
	Private m_logopcc As B4XView		'image fixed pcc logo
	Private m_logo As B4XImageView		'image app logo (varies with app)
	Private m_logoback As B4XView		'background for logos
	Private m_title As B4XView
End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
End Sub

'Base type must be Object
Public Sub DesignerCreateView (Base As Object, Lbl As Label, Props As Map)
	mBase = Base
    Tag = mBase.Tag
    mBase.Tag = Me 

	mBase.Color = xui.PaintOrColorToColor(basecolor)
	
	m_logo = XUIViewsUtils.CreateB4XImageView
	m_logo.mBackgroundColor = xui.Color_Transparent
	
	Dim nativeivpcc As ImageView
	nativeivpcc.Initialize("")
	m_logopcc = nativeivpcc
	
	Dim nativeback As Label
	nativeback.Initialize("")
	m_logoback = nativeback
	m_logoback.Color = xui.PaintOrColorToColor(backcolor)
	
	Dim nativetitle As Label
	nativetitle.Initialize("")
	m_title = nativetitle
	Dim sourcelabel As B4XView = Lbl
	m_title.Color = xui.PaintOrColorToColor(backcolor)
	m_title.Font = sourcelabel.Font
	m_title.Text = sourcelabel.Text
	m_title.TextColor = sourcelabel.TextColor
	m_title.TextSize = sourcelabel.TextSize
	m_title.SetTextAlignment("CENTER", "CENTER")

	mBase.AddView(m_logoback, 0, 0, 0, 0)
	mBase.AddView(m_title, 0, 0, 0, 0)
	mBase.AddView(m_logo.mBase, 0, 0, 0, 0)
	mBase.AddView(m_logopcc, 0, 0, 0, 0)

	Base_Resize(mBase.Width, mBase.Height)
	setLogo("logo_pkc.png")
End Sub

Private Sub Base_Resize (Width As Double, Height As Double)
	m_title.SetLayoutAnimated(0, Width - 120dip, 0, 120dip, Height - 1dip)
	m_logoback.SetLayoutAnimated(0, 0, 0, Width - m_title.Width - 1dip, Height - 1dip)

	m_logopcc.SetLayoutAnimated(0, 10dip, 4dip, Height - 8dip, Height - 8dip)
	m_logo.mBase.SetLayoutAnimated(0, m_logopcc.Left + m_logopcc.Width + 8dip, 4dip, Height - 8dip, Height - 8dip)
End Sub

Public Sub setText(text As String)
	m_title.Text = text
End Sub

Public Sub setLogo(filename As String)
	m_logo.Load(File.DirAssets, filename)
	m_logopcc.SetBitmap(xui.LoadBitmapResize(File.DirAssets, filename, m_logopcc.Width, m_logopcc.Height, True))
End Sub
